Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageContentOpened

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageContentOpened

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageContentOpened extends TdApi.Update
The message content was opened. Updates voice note messages to "listened", video note messages to "viewed" and starts the TTL timer for self-destructing messages.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Message identifier.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageContentOpened()`
The message content was opened.
`UpdateMessageContentOpened(long chatId, long messageId)`
The message content was opened.
`UpdateMessageContentOpened(DataInput input)`
The message content was opened.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageContentOpened

public UpdateMessageContentOpened()
The message content was opened. Updates voice note messages to "listened", video note messages to "viewed" and starts the TTL timer for self-destructing messages.

### UpdateMessageContentOpened

public UpdateMessageContentOpened(long chatId, long messageId)
The message content was opened. Updates voice note messages to "listened", video note messages to "viewed" and starts the TTL timer for self-destructing messages.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.

### UpdateMessageContentOpened

public UpdateMessageContentOpened(DataInput input) throws IOException
The message content was opened. Updates voice note messages to "listened", video note messages to "viewed" and starts the TTL timer for self-destructing messages.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`